# Uses of Interface
org.apache.commons.math3.geometry.partitioning.SubHyperplane

Packages that use SubHyperplane
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of SubHyperplane in org.apache.commons.math3.geometry.euclidean.oned

Classes in org.apache.commons.math3.geometry.euclidean.oned that implement SubHyperplane
Modifier and Type
Class
Description
`class`
`SubOrientedPoint`
This class represents sub-hyperplane for `OrientedPoint`.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.oned with type arguments of type SubHyperplane
Modifier
Constructor
Description
``
`IntervalsSet(Collection<SubHyperplane<Euclidean1D>> boundary)`
Deprecated.
as of 3.3, replaced with `IntervalsSet(Collection, double)`
``
`IntervalsSet(Collection<SubHyperplane<Euclidean1D>> boundary, double tolerance)`
Build an intervals set from a Boundary REPresentation (B-rep).

## Uses of SubHyperplane in org.apache.commons.math3.geometry.euclidean.threed

Classes in org.apache.commons.math3.geometry.euclidean.threed that implement SubHyperplane
Modifier and Type
Class
Description
`class`
`SubPlane`
This class represents a sub-hyperplane for `Plane`.
Methods in org.apache.commons.math3.geometry.euclidean.threed that return SubHyperplane
Modifier and Type
Method
Description
`SubHyperplane<Euclidean3D>`
PolyhedronsSet.`firstIntersection(Vector3D point, Line line)`
Get the first sub-hyperplane crossed by a semi-infinite line.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.threed with type arguments of type SubHyperplane
Modifier
Constructor
Description
``
`PolyhedronsSet(Collection<SubHyperplane<Euclidean3D>> boundary)`
Deprecated.
as of 3.3, replaced with `PolyhedronsSet(Collection, double)`
``
`PolyhedronsSet(Collection<SubHyperplane<Euclidean3D>> boundary, double tolerance)`
Build a polyhedrons set from a Boundary REPresentation (B-rep) specified by sub-hyperplanes.

## Uses of SubHyperplane in org.apache.commons.math3.geometry.euclidean.twod

Classes in org.apache.commons.math3.geometry.euclidean.twod that implement SubHyperplane
Modifier and Type
Class
Description
`class`
`SubLine`
This class represents a sub-hyperplane for `Line`.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.twod with type arguments of type SubHyperplane
Modifier
Constructor
Description
``
`PolygonsSet(Collection<SubHyperplane<Euclidean2D>> boundary)`
Deprecated.
as of 3.3, replaced with `PolygonsSet(Collection, double)`
``
`PolygonsSet(Collection<SubHyperplane<Euclidean2D>> boundary, double tolerance)`
Build a polygons set from a Boundary REPresentation (B-rep).

## Uses of SubHyperplane in org.apache.commons.math3.geometry.partitioning

Classes in org.apache.commons.math3.geometry.partitioning that implement SubHyperplane
Modifier and Type
Class
Description
`class`
`AbstractSubHyperplane<S extends Space,T extends Space>`
This class implements the dimension-independent parts of `SubHyperplane`.
Methods in org.apache.commons.math3.geometry.partitioning that return SubHyperplane
Modifier and Type
Method
Description
`SubHyperplane<T>`
Transform.`apply(SubHyperplane<T> sub, Hyperplane<S> original, Hyperplane<S> transformed)`
Transform a sub-hyperplane embedded in an hyperplane.
`SubHyperplane<S>`
SubHyperplane.`copySelf()`
Copy the instance.
`SubHyperplane<S>`
BSPTree.`getCut()`
Get the cut sub-hyperplane.
`SubHyperplane<U>`
SubHyperplane.SplitSubHyperplane.`getMinus()`
Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.
`SubHyperplane<U>`
SubHyperplane.SplitSubHyperplane.`getPlus()`
Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.
`SubHyperplane<S>`
BoundaryAttribute.`getPlusInside()`
Get the part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane.
`SubHyperplane<S>`
BoundaryAttribute.`getPlusOutside()`
Get the part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane.
`SubHyperplane<S>`
AbstractRegion.`intersection(SubHyperplane<S> sub)`
Get the parts of a sub-hyperplane that are contained in the region.
`SubHyperplane<S>`
Region.`intersection(SubHyperplane<S> sub)`
Get the parts of a sub-hyperplane that are contained in the region.
`SubHyperplane<S>`
SubHyperplane.`reunite(SubHyperplane<S> other)`
Compute the union of the instance and another sub-hyperplane.
`SubHyperplane<S>`
Hyperplane.`wholeHyperplane()`
Build a sub-hyperplane covering the whole hyperplane.
Methods in org.apache.commons.math3.geometry.partitioning with parameters of type SubHyperplane
Modifier and Type
Method
Description
`SubHyperplane<T>`
Transform.`apply(SubHyperplane<T> sub, Hyperplane<S> original, Hyperplane<S> transformed)`
Transform a sub-hyperplane embedded in an hyperplane.
`SubHyperplane<S>`
AbstractRegion.`intersection(SubHyperplane<S> sub)`
Get the parts of a sub-hyperplane that are contained in the region.
`SubHyperplane<S>`
Region.`intersection(SubHyperplane<S> sub)`
Get the parts of a sub-hyperplane that are contained in the region.
`AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`reunite(SubHyperplane<S> other)`
Compute the union of the instance and another sub-hyperplane.
`SubHyperplane<S>`
SubHyperplane.`reunite(SubHyperplane<S> other)`
Compute the union of the instance and another sub-hyperplane.
`BSPTree<S>`
BSPTree.`split(SubHyperplane<S> sub)`
Split a BSP tree by an external sub-hyperplane.
Constructors in org.apache.commons.math3.geometry.partitioning with parameters of type SubHyperplane
Modifier
Constructor
Description
``
`BoundaryAttribute(SubHyperplane<S> plusOutside, SubHyperplane<S> plusInside)`
Deprecated.
as of 3.4, the constructor has been replaced by a new one which is not public anymore, as it is intended to be used only by `BoundaryBuilder`
``
`BSPTree(SubHyperplane<S> cut, BSPTree<S> plus, BSPTree<S> minus, Object attribute)`
Build a BSPTree from its underlying elements.
``
`SplitSubHyperplane(SubHyperplane<U> plus, SubHyperplane<U> minus)`
Build a SplitSubHyperplane from its parts.
Constructor parameters in org.apache.commons.math3.geometry.partitioning with type arguments of type SubHyperplane
Modifier
Constructor
Description
`protected`
`AbstractRegion(Collection<SubHyperplane<S>> boundary, double tolerance)`
Build a Region from a Boundary REPresentation (B-rep).

## Uses of SubHyperplane in org.apache.commons.math3.geometry.spherical.oned

Classes in org.apache.commons.math3.geometry.spherical.oned that implement SubHyperplane
Modifier and Type
Class
Description
`class`
`SubLimitAngle`
This class represents sub-hyperplane for `LimitAngle`.
Constructor parameters in org.apache.commons.math3.geometry.spherical.oned with type arguments of type SubHyperplane
Modifier
Constructor
Description
``
`ArcsSet(Collection<SubHyperplane<Sphere1D>> boundary, double tolerance)`
Build an arcs set from a Boundary REPresentation (B-rep).

## Uses of SubHyperplane in org.apache.commons.math3.geometry.spherical.twod

Classes in org.apache.commons.math3.geometry.spherical.twod that implement SubHyperplane
Modifier and Type
Class
Description
`class`
`SubCircle`
This class represents a sub-hyperplane for `Circle`.
Constructor parameters in org.apache.commons.math3.geometry.spherical.twod with type arguments of type SubHyperplane
Modifier
Constructor
Description
``
`SphericalPolygonsSet(Collection<SubHyperplane<Sphere2D>> boundary, double tolerance)`
Build a polygons set from a Boundary REPresentation (B-rep).